opennlp.tools.cmdline.dictionary

## Class DictionaryBuilderTool

- java.lang.Object
- - opennlp.tools.cmdline.CmdLineTool
  - - opennlp.tools.cmdline.BasicCmdLineTool
    - - opennlp.tools.cmdline.dictionary.DictionaryBuilderTool

-     public class DictionaryBuilderTool
      extends opennlp.tools.cmdline.BasicCmdLineTool

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DictionaryBuilderTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHelp()` Retrieves a description on how to use the tool.
    `String` | `getShortDescription()` Retrieves a short description of what the tool does.
    `void` | `run(String[] args)` Executes the tool with the given parameters.

    - ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

      `getName, hasParams`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DictionaryBuilderTool

          public DictionaryBuilderTool()

  - ### Method Detail

    - #### getShortDescription

          public String getShortDescription()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a short description of what the tool does.
      Overrides:
        `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a short description of what the tool does

    - #### getHelp

          public String getHelp()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a description on how to use the tool.
      Specified by:
        `getHelp` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a description on how to use the tool

    - #### run

          public void run(String[] args)

      Description copied from class: `opennlp.tools.cmdline.BasicCmdLineTool`
      Executes the tool with the given parameters.
      Specified by:
        `run` in class `opennlp.tools.cmdline.BasicCmdLineTool`
      Parameters:
        `args` - arguments

Copyright © 2026 The Apache Software Foundation. All rights reserved.